Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 8.9.x for test
  4. Search 10.3.x for test
  5. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
RouteBuilderTest::testRebuildBlockingLock function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests route rebuilding with a blocking lock.
RouteBuilderTest::testRebuildIfNeeded function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests \Drupal\Core\Routing\RouteBuilder::rebuildIfNeeded() method.
RouteBuilderTest::testRebuildLockingUnlocking function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests that the route rebuilding both locks and unlocks.
RouteBuilderTest::testRebuildWithOverriddenRouteClass function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests routes can use alternative compiler classes.
RouteBuilderTest::testRebuildWithProviderBasedRoutes function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests the rebuild with routes provided by a callback.
RouteBuilderTest::testRebuildWithStaticModuleRoutes function core/tests/Drupal/Tests/Core/Routing/RouteBuilderTest.php Tests that provided routes by a module is put into the dumper/dispatcher.
RouteCachingLanguageTest class core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Tests that route lookup is cached by the current language.
RouteCachingLanguageTest.php file core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php
RouteCachingLanguageTest::$defaultTheme property core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php The theme to install as the default for testing.
RouteCachingLanguageTest::$modules property core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Modules to install.
RouteCachingLanguageTest::$webUser property core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php A user with permissions to administer content types.
RouteCachingLanguageTest::providerLanguage function core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Data provider for testFromUri().
RouteCachingLanguageTest::setUp function core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php
RouteCachingLanguageTest::testLinkTranslationWithAlias function core/tests/Drupal/FunctionalTests/Routing/RouteCachingLanguageTest.php Creates content with a link field pointing to an alias of another language.
RouteCachingNonPathLanguageNegotiationTest class core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php Tests the route cache when the language is not in the path.
RouteCachingNonPathLanguageNegotiationTest.php file core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php
RouteCachingNonPathLanguageNegotiationTest::$adminUser property core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php The admin user.
RouteCachingNonPathLanguageNegotiationTest::$defaultTheme property core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php The theme to install as the default for testing.
RouteCachingNonPathLanguageNegotiationTest::$modules property core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php Modules to install.
RouteCachingNonPathLanguageNegotiationTest::setUp function core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php
RouteCachingNonPathLanguageNegotiationTest::testAliases function core/tests/Drupal/FunctionalTests/Routing/RouteCachingNonPathLanguageNegotiationTest.php Tests aliases when the negotiated language is not in the path.
RouteCachingQueryAlteredTest class core/tests/Drupal/FunctionalTests/Routing/RouteCachingQueryAlteredTest.php Tests the route cache when the request's query parameters are altered.
RouteCachingQueryAlteredTest.php file core/tests/Drupal/FunctionalTests/Routing/RouteCachingQueryAlteredTest.php
RouteCachingQueryAlteredTest::$defaultTheme property core/tests/Drupal/FunctionalTests/Routing/RouteCachingQueryAlteredTest.php The theme to install as the default for testing.
RouteCachingQueryAlteredTest::$modules property core/tests/Drupal/FunctionalTests/Routing/RouteCachingQueryAlteredTest.php Modules to install.
RouteCachingQueryAlteredTest::setUp function core/tests/Drupal/FunctionalTests/Routing/RouteCachingQueryAlteredTest.php
RouteCachingQueryAlteredTest::testRouteCollectionCacheAfterException function core/tests/Drupal/FunctionalTests/Routing/RouteCachingQueryAlteredTest.php Tests route collection cache after an exception.
RouteCompilerTest class core/tests/Drupal/Tests/Core/Routing/RouteCompilerTest.php Tests Drupal\Core\Routing\RouteCompiler.
RouteCompilerTest.php file core/tests/Drupal/Tests/Core/Routing/RouteCompilerTest.php
RouteCompilerTest::providerTestGetFit function core/tests/Drupal/Tests/Core/Routing/RouteCompilerTest.php Provides data for RouteCompilerTest::testGetFit()
RouteCompilerTest::testCompilation function core/tests/Drupal/Tests/Core/Routing/RouteCompilerTest.php Confirms that a route compiles properly with the necessary data.
RouteCompilerTest::testCompilationDefaultValue function core/tests/Drupal/Tests/Core/Routing/RouteCompilerTest.php Confirms that a compiled route with default values has the correct outline.
RouteCompilerTest::testGetFit function core/tests/Drupal/Tests/Core/Routing/RouteCompilerTest.php Tests RouteCompiler::getFit().
RouteMatchTest class core/tests/Drupal/Tests/Core/Routing/RouteMatchTest.php Tests Drupal\Core\Routing\RouteMatch.
RouteMatchTest.php file core/tests/Drupal/Tests/Core/Routing/RouteMatchTest.php
RouteMatchTest::getRouteMatch function core/tests/Drupal/Tests/Core/Routing/RouteMatchTest.php Build a test route match object for the given implementation.
RouteMatchTest::testRouteMatchFromRequest function core/tests/Drupal/Tests/Core/Routing/RouteMatchTest.php Tests route match from request.
RouteMatchTestBase class core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Base test class for testing classes implementing the route match interface.
RouteMatchTestBase.php file core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php
RouteMatchTestBase::getRouteMatch function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Build a test route match object for the given implementation.
RouteMatchTestBase::routeMatchProvider function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Provide sets of parameters and expected parameters for parameter tests.
RouteMatchTestBase::testGetParameter function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get parameter.
RouteMatchTestBase::testGetParameters function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get parameters.
RouteMatchTestBase::testGetRawParameter function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get raw parameter.
RouteMatchTestBase::testGetRawParameters function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get raw parameters.
RouteMatchTestBase::testGetRouteName function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get route name.
RouteMatchTestBase::testGetRouteObject function core/tests/Drupal/Tests/Core/Routing/RouteMatchTestBase.php Tests get route object.
RouteNoneTest class core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteNoneTest.php Tests the <none> route processor.
RouteNoneTest.php file core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteNoneTest.php
RouteNoneTest::$modules property core/tests/Drupal/KernelTests/Core/RouteProcessor/RouteNoneTest.php Modules to install.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.